> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transaction Summary

> Get a summary of transactions with fee tiers, total volume, and fees.



## OpenAPI

````yaml GET /api/v3/brokerage/transaction_summary
openapi: 3.0.0
info:
  title: Coinbase Advanced Trade API
  version: '0.1'
servers:
  - url: https://api.coinbase.com
security:
  - apiKeyAuth: []
paths:
  /api/v3/brokerage/transaction_summary:
    get:
      tags:
        - Fees
      summary: Get Transaction Summary
      description: Get a summary of transactions with fee tiers, total volume, and fees.
      operationId: RetailBrokerageApi_GetTransactionSummary
      parameters:
        - name: product_type
          description: >-
            Only returns the orders matching this product type. By default,
            returns all product types.
          in: query
          required: false
          schema:
            type: string
            enum:
              - UNKNOWN_PRODUCT_TYPE
              - SPOT
              - FUTURE
            default: UNKNOWN_PRODUCT_TYPE
        - name: contract_expiry_type
          description: >-
            Only returns the orders matching this contract expiry type. Only
            applicable if product_type is set to FUTURE.
          in: query
          required: false
          schema:
            type: string
            enum:
              - UNKNOWN_CONTRACT_EXPIRY_TYPE
              - EXPIRING
              - PERPETUAL
            default: UNKNOWN_CONTRACT_EXPIRY_TYPE
        - name: product_venue
          description: Venue for product
          in: query
          required: false
          schema:
            type: string
            enum:
              - UNKNOWN_VENUE_TYPE
              - CBE
              - FCM
              - INTX
            default: UNKNOWN_VENUE_TYPE
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.public_api.authed.retail_brokerage_api.GetTransactionSummaryResponse
            text/event-stream:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.public_api.authed.retail_brokerage_api.GetTransactionSummaryResponse
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/grpc.gateway.runtime.Error'
            text/event-stream:
              schema:
                $ref: '#/components/schemas/grpc.gateway.runtime.Error'
components:
  schemas:
    coinbase.public_api.authed.retail_brokerage_api.GetTransactionSummaryResponse:
      type: object
      properties:
        total_fees:
          type: number
          format: double
          example: 25
          description: Total fees across assets, denoted in USD.
          required:
            - total_fees
        fee_tier:
          description: >-
            Description of maker and taker rates across all applicable fee
            tiers.
          required:
            - fee_tier
          allOf:
            - $ref: >-
                #/components/schemas/coinbase.public_api.authed.retail_brokerage_api.FeeTier
        margin_rate:
          example: 0.5
          description: Margin rate, only applicable to product_type `FUTURE`.
          allOf:
            - $ref: '#/components/schemas/coinbase.brokerage.types.Decimal'
        goods_and_services_tax:
          allOf:
            - $ref: >-
                #/components/schemas/coinbase.public_api.authed.retail_brokerage_api.GoodsAndServicesTax
        advanced_trade_only_volume:
          type: number
          format: double
          example: 1000
          description: >-
            Advanced Trade volume (non-inclusive of Pro) across assets, denoted
            in USD.
        advanced_trade_only_fees:
          type: number
          format: double
          example: 25
          description: >-
            Advanced Trade fees (non-inclusive of Pro) across assets, denoted in
            USD.
        coinbase_pro_volume:
          type: number
          format: double
          example: 1000
          description: Coinbase Pro volume across assets, denoted in USD.
        coinbase_pro_fees:
          type: number
          format: double
          example: 25
          description: Coinbase Pro fees across assets, denoted in USD.
        total_balance:
          type: string
          example: '1000'
          description: >-
            Total balance across assets and products, which is comprised of the
            sum of spot, intx, and fcm, and denoted in USD.
        volume_breakdown:
          type: array
          example:
            - volume_type: VOLUME_TYPE_SPOT
              volume: 1000
          items:
            $ref: >-
              #/components/schemas/coinbase.public_api.authed.retail_brokerage_api.Volume
          description: Breakdown of volumes that contributed to the fee tier calculation.
        has_cost_plus_commission:
          type: boolean
          example: false
          description: Indicates whether the user uses cost plus commission pricing model.
      required:
        - total_volume
        - total_fees
        - fee_tier
    grpc.gateway.runtime.Error:
      type: object
      properties:
        error:
          type: string
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/google.protobuf.Any'
    coinbase.public_api.authed.retail_brokerage_api.FeeTier:
      type: object
      properties:
        pricing_tier:
          type: string
          example: <$10k
          description: Pricing tier for user, determined by notional (USD) volume.
        taker_fee_rate:
          type: string
          example: '0.0010'
          description: Taker fee rate, applied if the order takes liquidity.
        maker_fee_rate:
          type: string
          example: '0.0020'
          description: Maker fee rate, applied if the order creates liquidity.
        aop_from:
          type: string
          example: '0'
          description: >-
            Lower bound (inclusive) of pricing tier in usd of total assets on
            platform.
        aop_to:
          type: string
          example: '10000'
          description: >-
            Upper bound (exclusive) of pricing tier in usd of total assets on
            platform.
        volume_types_and_range:
          type: array
          example:
            - volume_types:
                - VOLUME_TYPE_SPOT
                - VOLUME_TYPE_US_DERIVATIVES
              vol_from: '0'
              vol_to: '50000'
          items:
            $ref: >-
              #/components/schemas/coinbase.public_api.authed.retail_brokerage_api.VolumeTypesAndRange
          description: >-
            List of rules that define how a tier evaluates 30-day volume by
            combining specific volume types.
    coinbase.brokerage.types.Decimal:
      type: object
      properties:
        value:
          type: string
          description: String representation allows for unlimited precision.
      description: Represents a decimal number with precision.
    coinbase.public_api.authed.retail_brokerage_api.GoodsAndServicesTax:
      type: object
      properties:
        rate:
          type: string
        type:
          allOf:
            - $ref: >-
                #/components/schemas/coinbase.public_api.authed.retail_brokerage_api.GstType
    coinbase.public_api.authed.retail_brokerage_api.Volume:
      type: object
      properties:
        volume_type:
          example: VOLUME_TYPE_SPOT
          description: Type of volume contributing to fee tier calculation.
          allOf:
            - $ref: >-
                #/components/schemas/coinbase.public_api.authed.retail_brokerage_api.VolumeType
        volume:
          type: number
          format: double
          example: 1000
          description: Volume amount.
    google.protobuf.Any:
      type: object
      properties:
        type_url:
          type: string
          description: >-
            A URL/resource name that uniquely identifies the type of the
            serialized

            protocol buffer message. This string must contain at least

            one "/" character. The last segment of the URL's path must represent

            the fully qualified name of the type (as in

            `path/google.protobuf.Duration`). The name should be in a canonical
            form

            (e.g., leading "." is not accepted).


            In practice, teams usually precompile into the binary all types that
            they

            expect it to use in the context of Any. However, for URLs which use
            the

            scheme `http`, `https`, or no scheme, one can optionally set up a
            type

            server that maps type URLs to message definitions as follows:


            * If no scheme is provided, `https` is assumed.

            * An HTTP GET on the URL must yield a [google.protobuf.Type][]
              value in binary format, or produce an error.
            * Applications are allowed to cache lookup results based on the
              URL, or have them precompiled into a binary to avoid any
              lookup. Therefore, binary compatibility needs to be preserved
              on changes to types. (Use versioned type names to manage
              breaking changes.)

            Note: this functionality is not currently available in the official

            protobuf release, and it is not used for type URLs beginning with

            type.googleapis.com. As of May 2023, there are no widely used type
            server

            implementations and no plans to implement one.


            Schemes other than `http`, `https` (or the empty scheme) might be

            used with implementation specific semantics.
        value:
          type: string
          format: byte
          description: >-
            Must be a valid serialized protocol buffer of the above specified
            type.
      description: >-
        `Any` contains an arbitrary serialized protocol buffer message along
        with a

        URL that describes the type of the serialized message.


        Protobuf library provides support to pack/unpack Any values in the form

        of utility functions or additional generated methods of the Any type.


        Example 1: Pack and unpack a message in C++.

            Foo foo = ...;
            Any any;
            any.PackFrom(foo);
            ...
            if (any.UnpackTo(&foo)) {
              ...
            }

        Example 2: Pack and unpack a message in Java.

            Foo foo = ...;
            Any any = Any.pack(foo);
            ...
            if (any.is(Foo.class)) {
              foo = any.unpack(Foo.class);
            }
            // or ...
            if (any.isSameTypeAs(Foo.getDefaultInstance())) {
              foo = any.unpack(Foo.getDefaultInstance());
            }

         Example 3: Pack and unpack a message in Python.

            foo = Foo(...)
            any = Any()
            any.Pack(foo)
            ...
            if any.Is(Foo.DESCRIPTOR):
              any.Unpack(foo)
              ...

         Example 4: Pack and unpack a message in Go

             foo := &pb.Foo{...}
             any, err := anypb.New(foo)
             if err != nil {
               ...
             }
             ...
             foo := &pb.Foo{}
             if err := any.UnmarshalTo(foo); err != nil {
               ...
             }

        The pack methods provided by protobuf library will by default use

        'type.googleapis.com/full.type.name' as the type URL and the unpack

        methods only use the fully qualified type name after the last '/'

        in the type URL, for example "foo.bar.com/x/y.z" will yield type

        name "y.z".


        JSON

        ====

        The JSON representation of an `Any` value uses the regular

        representation of the deserialized, embedded message, with an

        additional field `@type` which contains the type URL. Example:

            package google.profile;
            message Person {
              string first_name = 1;
              string last_name = 2;
            }

            {
              "@type": "type.googleapis.com/google.profile.Person",
              "firstName": <string>,
              "lastName": <string>
            }

        If the embedded message type is well-known and has a custom JSON

        representation, that representation will be embedded adding a field

        `value` which holds the custom JSON in addition to the `@type`

        field. Example (for message [google.protobuf.Duration][]):

            {
              "@type": "type.googleapis.com/google.protobuf.Duration",
              "value": "1.212s"
            }
    coinbase.public_api.authed.retail_brokerage_api.VolumeTypesAndRange:
      type: object
      properties:
        volume_types:
          type: array
          example:
            - VOLUME_TYPE_SPOT
            - VOLUME_TYPE_US_DERIVATIVES
          items:
            $ref: >-
              #/components/schemas/coinbase.public_api.authed.retail_brokerage_api.VolumeType
          description: Volume types to combine to contribute to this fee tier calculation.
        vol_from:
          type: string
          example: '0'
          description: Lower bound (inclusive) for the combined volume.
        vol_to:
          type: string
          example: '50000'
          description: Upper bound (exclusive) for the combined volume .
      title: >-
        VolumeTypesAndRange defines volume-based fee tier configurations that
        combine multiple volume types
    coinbase.public_api.authed.retail_brokerage_api.GstType:
      type: string
      enum:
        - INCLUSIVE
        - EXCLUSIVE
      default: INCLUSIVE
      title: >-
        - INCLUSIVE: inclusive means the `feeTier`` is inclusive of the GST (e.g
        SG)
         - EXCLUSIVE: exclusive means the `feeTier`` is exclusive of the GST (e.g AU)
    coinbase.public_api.authed.retail_brokerage_api.VolumeType:
      type: string
      enum:
        - VOLUME_TYPE_UNKNOWN
        - VOLUME_TYPE_SPOT
        - VOLUME_TYPE_INTX_PERPS
        - VOLUME_TYPE_US_DERIVATIVES
        - VOLUME_TYPE_SIMPLE_SPOT
        - VOLUME_TYPE_SIMPLE_FCM
        - VOLUME_TYPE_SIMPLE_INTX_PERPS
      default: VOLUME_TYPE_UNKNOWN
      title: |-
        - VOLUME_TYPE_UNKNOWN: Unknown or unspecified volume type
         - VOLUME_TYPE_SPOT: Spot trading volume
         - VOLUME_TYPE_INTX_PERPS: International exchange perpetual contracts volume
         - VOLUME_TYPE_US_DERIVATIVES: US derivatives (futures) trading volume
         - VOLUME_TYPE_SIMPLE_SPOT: Simple (RETAIL_SIMPLE) spot trading volume
         - VOLUME_TYPE_SIMPLE_FCM: Simple (RETAIL_SIMPLE) FCM expiring futures trading volume
         - VOLUME_TYPE_SIMPLE_INTX_PERPS: Simple (RETAIL_SIMPLE) INTX perpetual futures trading volume
  securitySchemes:
    apiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        A JWT signed using your CDP API Key Secret, encoded in base64. Refer to
        the [Creating API
        Keys](/coinbase-app/authentication-authorization/api-key-authentication)
        section of our Coinbase App Authentication docs for information on how
        to generate your Bearer Token.

````